Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.expression
Class DumpVisitor

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.expression.DumpVisitor

All Implemented Interfaces:
  AnnotationParserVisitor

    public class DumpVisitor

extends Object
implements AnnotationParserVisitor

Author:
  Jonas Bonr

Method Summary
`static void` | `dumpAST(ASTRoot root)`
`Object` | `visit(ASTAnnotation node, Object data)`
`Object` | `visit(ASTArray node, Object data)`
`Object` | `visit(ASTBoolean node, Object data)`
`Object` | `visit(ASTChar node, Object data)`
`Object` | `visit(ASTFloat node, Object data)`
`Object` | `visit(ASTHex node, Object data)`
`Object` | `visit(ASTIdentifier node, Object data)`
`Object` | `visit(ASTInteger node, Object data)`
`Object` | `visit(ASTKeyValuePair node, Object data)`
`Object` | `visit(ASTOct node, Object data)`
`Object` | `visit(ASTRoot node, Object data)`
`Object` | `visit(ASTString node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dumpAST

    public static void dumpAST(ASTRoot root)

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTRoot node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTAnnotation node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTKeyValuePair node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTArray node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTIdentifier node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTBoolean node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTChar node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTString node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTInteger node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTFloat node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTHex node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTOct node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.